<?php


define('SF_ROOT_DIR', "/home/diycash22/public_html/disney");
//define('SF_ROOT_DIR', "C://wamp/www/carlin");
define('SF_APP',      'sys');
date_default_timezone_set ( "America/Lima" ); 
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');

use_helper('UtilFunctions'); 

$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);




if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


//$_GET['fechaDiaAbierto'] = '2020-11-21';
//$_GET['IdSucursal'] = '2';



$fechaDiaAbierto 	= $_GET['fechaDiaAbierto'];
$fechaDiaAnterior 	= $_GET['fechaDiaAbierto']; // Dia Cerrado para que continue
$fechaDiaSiguiente 	=  date('Y-m-d',strtotime($fechaDiaAbierto.' +4 days'));;
$IdSucursal 		= $_GET['IdSucursal'];
$fechaHoy = date('Y-m-d');
//$IdSucursal 		= 5;

//Debe ser un 
//Esta tarea no debe ejecutarse el domingo
$diahoy 				= date('N',strtotime($fechaDiaSiguiente));
echo $diahoy;

$diahoy 				= date('N',strtotime($fechaDiaAbierto));
echo $diahoyActual;

if($diahoyActual == 7) exit("salio");




$sql = "SELECT * 
        FROM `cr_pedido_prestamo` 
        WHERE `Estado` LIKE 'P' or `Estado` LIKE 'A' 
        AND Eliminado = '-1'";
echo $sql."<br>";
$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
if(mysql_num_rows($result) > 0 ){
	while($row = mysql_fetch_array($result)){
		$FechaTransaccion 	    = $row['FechaTransaccion'];
		$idpedido 	    = $row['idpedido'];
		$FechaTransaccion_4mas 	=  date('Y-m-d',strtotime($FechaTransaccion.' +2 days'));;
		echo $idpedido." -- ".$FechaTransaccion_4mas;
		echo "<br>";
		
		if($FechaTransaccion_4mas <= $fechaHoy){
		
		
    		$sql = "UPDATE `cr_pedido_prestamo` 
    				SET Estado 					= 'R',
    					Observacion 		    = 'Por exceso de tiempo en estado Pendiente sin estar Aprobado',
    					UsuarioModificacion 	= '".date("Y-m-d H:i:s")."',
    					UsuarioModificacion 	= 'sistemas'
    				WHERE 	1=1 				
    						and idpedido 		= '".$idpedido."'
    						";
    		//and Estado 			= 'P'
    		echo $sql."<br>";	
    		$resultUp2 = mysql_db_query(Conexion::getNameDb(), $sql, $con);
		}
	}
}

////////////////////////////////////////////////////////


	



exit;